from viktor import ViktorController
from viktor.parametrization import ViktorParametrization, GeoPointField
from viktor.views import MapView, MapResult, MapPoint


class Parametrization(ViktorParametrization):
    geo_point = GeoPointField("Select point")


class Controller(ViktorController):
    label = 'My geo-point'
    parametrization = Parametrization

    @MapView("Map", duration_guess=1)
    def map_view(self, params, **kwargs):
        features = []

        if params.geo_point:
            features.append(MapPoint.from_geo_point(params.geo_point))

        return MapResult(features)
