from viktor import ViktorController
from viktor.api_v1 import API
from viktor.views import MapView, MapResult, MapPoint


class Controller(ViktorController):
    label = 'Overview'
    children = ['MyEntityType']
    show_children_as = 'Table'

    @MapView("Map", duration_guess=1)
    def map_view(self, params, entity_id, **kwargs):
        features = []

        for child in API().get_entity(entity_id).children():
            point = child.last_saved_params.geo_point

            if point:
                features.append(MapPoint.from_geo_point(point))

        return MapResult(features)
